#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	libvirt binding for OCaml
Summary(pl.UTF-8):	Wiązania libvirt dla OCamla
Name:		ocaml-libvirt
Version:	0.6.1.7
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://download.libvirt.org/ocaml/%{name}-%{version}.tar.gz
# Source0-md5:	6fb9d519c44d63513723a728c2ef5f40
URL:		https://libvirt.org/ocaml/
BuildRequires:	libvirt-devel >= 1.2.8
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
BuildRequires:	perl-base
BuildRequires:	pkgconfig
Requires:	libvirt >= 1.2.8
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ocaml-libvirt is a complete set of OCaml bindings around libvirt,
exposing all known libvirt functionality to OCaml programs.

This package contains files needed to run bytecode executables using
the library.

%description -l pl.UTF-8
ocaml-libvirt to kompletny zestaw wiązań OCamla do libvirt,
udostępniający całą znaną funkcjonalność libvirt programom w OCamlu.

Ten pakiet zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	libvirt binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania libvirt dla OCamla - część programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
ocaml-libvirt is a complete set of OCaml bindings around libvirt,
exposing all known libvirt functionality to OCaml programs.

This package contains files needed to develop OCaml programs using
the library.

%description devel -l pl.UTF-8
ocaml-libvirt to kompletny zestaw wiązań OCamla do libvirt,
udostępniający całą znaną funkcjonalność libvirt programom w OCamlu.

Ten pakiet zawiera pliki niezbędne do tworzenia programów używających
biblioteki.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/libvirt/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.ml $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/dllmllibvirt.so.owner

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO.libvirt
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllmllibvirt.so

%files devel
%defattr(644,root,root,755)
%doc libvirt/libvirt*.mli
%dir %{_libdir}/ocaml/libvirt
%{_libdir}/ocaml/libvirt/META
%{_libdir}/ocaml/libvirt/libvirt*.cmi
%{_libdir}/ocaml/libvirt/libmllibvirt.a
%{_libdir}/ocaml/libvirt/mllibvirt.cma
%if %{with ocaml_opt}
%{_libdir}/ocaml/libvirt/libvirt*.cmx
%{_libdir}/ocaml/libvirt/mllibvirt.a
%{_libdir}/ocaml/libvirt/mllibvirt.cmxa
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Apr 06 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-libvirt.git;a=log;h=master

* Sat Apr 06 2024 Jakub Bogusz <qboosh@pld-linux.org> 2be101a
- updated to 0.6.1.7

* Wed Oct 12 2022 Jakub Bogusz <qboosh@pld-linux.org> b589311
- check-files cleanup

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 26bf8cf
- typo

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> ced7117
- rebuild with separate debuginfo build-ids

* Wed Mar 31 2021 Jan Rękorajski <baggins@pld-linux.org> 13e02c6
- fix install paths
- rel 3

* Tue Mar 30 2021 Jan Rękorajski <baggins@pld-linux.org> 02634a7
- add build fixes from Fedora
- rel 2

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> a7d056f
- updated to 0.6.1.5
- removed obsolete patches

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 4f82365
- add upstream updates/fixes
- rel 7

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 5f441bc
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 579a3a4
- release 5 (by relup.sh)

* Mon Nov 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 290ffc9
- added virDomainCreateXML patch (backport from git, required for libguestfs)
- release 4

* Mon Jul 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a8e186
- fixed install ocaml_opt handling

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 03f8ee4
- one more ocaml_opt condition

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> f9edcca
- added ocaml_opt bcond; release 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> d70e60d
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 0452361
- updated to 0.6.1.4
- removed obsolete 0001-remove-parameter-nr_pcpus-of-Libvirt.Domain.get_cpu_ patch

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 86b8fc0
- remove parameter nr_pcpus of Libvirt.Domain.get_cpu_stats

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> a373320
- release 2

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c0587e
- try with -j1

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d5fbf5
- new

